## org.firebirdsql.jca
Class FBTpb

    java.lang.Object
      org.firebirdsql.jca.FBTpb

All Implemented Interfaces:
  Serializable

    public class FBTpb

extends Object
implements Serializable

The `FBTpb` class represents the Firebird Transaction Parameter Block (TPB), which contains Firebird-specific information about transaction isolation. Created: Wed Jun 19 10:12:22 2002

Author:
  David Jencks
See Also:
  Serialized Form

Constructor Summary
`FBTpb(TransactionParameterBuffer transactionParams)` Create a new Transaction Parameters Block instance based around a `FBTpbMapper`.

Method Summary
`boolean` `equals(Object other)`
`TransactionParameterBuffer` `getTransactionParameterBuffer()`
`int` `hashCode()`
`boolean` `isReadOnly()` Determine whether this TPB is set to read-only.
`void` `setReadOnly(boolean readOnly)` Set the read-only flag on this TPB.
`void` `setTransactionParameterBuffer(TransactionParameterBuffer tpb)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FBTpb

    public FBTpb(TransactionParameterBuffer transactionParams)

  Create a new Transaction Parameters Block instance based around a `FBTpbMapper`.

  Parameters:
    `transactionParams` - instance of `TransactionParameterBuffer` representing transaction parameters.

Method Detail

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### setReadOnly

    public void setReadOnly(boolean readOnly)

  Set the read-only flag on this TPB.

  Parameters:
    `readOnly` - If `true`, this TPB will be set to read-only, otherwise it will be be read-write

### isReadOnly

    public boolean isReadOnly()

  Determine whether this TPB is set to read-only.

  Returns:
    `true` if this TPB is read-only, otherwise false

### getTransactionParameterBuffer

    public TransactionParameterBuffer getTransactionParameterBuffer()

### setTransactionParameterBuffer

    public void setTransactionParameterBuffer(TransactionParameterBuffer tpb)

Copyright © 2001-2010. All Rights Reserved.